var tests = [
		{title:'Window: create (different parameters)', color:'#000', font:{fontSize:25, fontWeight:'bold'}, hasChild:true, test:'create_test'},
		{title:'Window: open (different parameters)', color:'#000', font:{fontSize:25, fontWeight:'bold'}, hasChild:true, test:'open_test'},
		{title:'Window: close (different parameters)', color:'#000', font:{fontSize:25, fontWeight:'bold'}, hasChild:true, test:'close_test'},
		{title:'Window: change properties', color:'#000', font:{fontSize:25, fontWeight:'bold'}, hasChild:true, test:'properties_test'}
];

var win = Ti.UI.createWindow({
	exitOnClose: true,
	fullscreen: false,
	backgroundColor: 'white',
	layout: 'vertical'
});

var tv = Ti.UI.createTableView({
	top: 20,
	data: tests
});

tv.addEventListener("click", function(e) {
	if (e.rowData.test) {
		var ExampleWindow = require(e.rowData.test),
			win2 = new ExampleWindow({title:e.rowData.title});
			
		// Pre-3.2 behavior: need to specify one of the four keywords to create a heavyweight window.
		if (parseFloat(Ti.version) < 3.2) {
			win2.open({fullscreen: false});
		} else {
			win2.open();
		}
	}
});

var label = Ti.UI.createLabel({
	left: 5,
	font: {fontSize:20},
	text: "This is a test for heavyweight windows. Please run it on 3.2 (with the new window architecture) and on <3.2 to compare the behavior.\n"
		+ "Note: 1. A modal window without backgroundColor/Image should have a translucent background. Pre 3.2, it has a black background on 4.0+ devices.\n"
		+ "      2. Pre 3.2, the height/width properties do not work if specified in the open() function.\n"
		+ "      3. Pre 3.2, the activityEnter/ExitAnimation properties is not supported in the close() function.\n"
});

win.add(label);
win.add(tv);
win.open();