function close_test(_args) {
	var win = Ti.UI.createWindow({
		title:_args.title,
		layout: 'vertical',
		backgroundColor:'#000'
	});
	
	var scrollview = Ti.UI.createScrollView({
		backgroundColor: '#999',
		layout: 'vertical',
		showVerticalScrollIndicator: true,
		height: '80%',
		width: '90%'
	});

	function createSwitch(title) {
		var s = Ti.UI.createSwitch({
			left: 0,
			style: Titanium.UI.Android.SWITCH_STYLE_CHECKBOX,
			title: title,
			value: false
		});
		return s;
	}

	var animated = createSwitch('animated');

	var activityAnimation = createSwitch('activityEnterAnimation / activityExitAnimation (animated must be enabled)');

	var b = Ti.UI.createButton({
		title: 'Close Window'
	});
	
	b.addEventListener('click', function() {
		var arg = {};
		arg.animated = animated.value;
		
		if (activityAnimation.value) {
			arg.activityEnterAnimation = Ti.Android.R.anim.fade_in;
			arg.activityExitAnimation = Ti.Android.R.anim.fade_out;
		}

		win.close(arg);
	});

	scrollview.add(animated);
	scrollview.add(activityAnimation);

	win.add(b);
	win.add(scrollview);

	return win;
}


module.exports = close_test;