function create_test(_args) {
	var win = Ti.UI.createWindow({
		title:_args.title,
		layout: 'vertical',
		backgroundColor:'#000'
	});
	
	var scrollview = Ti.UI.createScrollView({
		backgroundColor: '#999',
		layout: 'vertical',
		showVerticalScrollIndicator: true,
		height: '80%',
		width: '90%'
	});

	function createSwitch(title) {
		var s = Ti.UI.createSwitch({
			left: 0,
			style: Titanium.UI.Android.SWITCH_STYLE_CHECKBOX,
			title: title,
			value: false
		});
		return s;
	}

	var activity = createSwitch('activity (menu button)');

	var exitOnClose = createSwitch('exitOnClose');
	
	var fullscreen = createSwitch('fullscreen (not work with modal:true)');

	var navBarHidden = createSwitch('navBarHidden');

	var modal = createSwitch('modal (not work with fullscreen:true)');
	
	var opacity = createSwitch('opacity (window will be transparent if no backgroundColor)');

	var backgroundColor = createSwitch('backgroundColor (blue)');

	var backgroundImage = createSwitch('backgroundImage');
	
	var backgroundRepeat = createSwitch('backgroundRepeat');

	var orientationModes = createSwitch('orientationModes (landscape)');
	
	var title = createSwitch('title (new title)');
	
	var url = createSwitch('url (window background color will become red in 1 sec)');
	
	var windowPixelFormat = createSwitch('windowPixelFormat (opaque)');

	var windowSoftInputMode = createSwitch('windowSoftInputMode (always visible)');

	var height = createSwitch('height');

	var width = createSwitch('width');
	
	var b = Ti.UI.createButton({
		title: 'Open New Window'
	});
	
	b.addEventListener('click', function() {
		var arg = {};
		arg.exitOnClose = exitOnClose.value;
		arg.fullscreen = fullscreen.value;
		arg.navBarHidden = navBarHidden.value;
		arg.modal = modal.value;
		
		if (activity.value) {
			arg.activity = {
				onCreateOptionsMenu: function(e){
  					var menu = e.menu;
  					var menuItem = menu.add({ 
    					title: "Item 1", 
    					showAsAction: Ti.Android.SHOW_AS_ACTION_IF_ROOM
  					});
  					menuItem.addEventListener('click', function(e) {
    					Ti.API.debug('Menu Item 1 was clicked');
  					});
				}
			};
		}
		if (opacity.value) {
			arg.opacity = 0.5;
		}
		if (backgroundColor.value) {
			arg.backgroundColor = 'blue';
		}
		if (backgroundImage.value) {
			arg.backgroundImage = 'face_happy.png';
		}
		if (backgroundRepeat.value) {
			arg.backgroundRepeat = true;
		}
		if (orientationModes.value) {
			arg.orientationModes = [Ti.UI.LANDSCAPE_LEFT, Ti.UI.LANDSCAPE_RIGHT];
		}
		if (title.value) {
			arg.title = 'New Window';
		}
		if (url.value) {
			arg.url = 'windowURL.js';
		}
		if (windowPixelFormat.value) {
			arg.windowPixelFormat = Ti.UI.Android.PIXEL_FORMAT_OPAQUE;
		}
		if (windowSoftInputMode.value) {
			arg.windowSoftInputMode = Ti.UI.Android.SOFT_INPUT_STATE_ALWAYS_VISIBLE;
		}
		if (height.value) {
			arg.height = 500;
		}
		if (width.value) {
			arg.width = 400;
		}
		
		var win2 = Ti.UI.createWindow(arg);

		win2.open();
	});

	scrollview.add(activity);
	scrollview.add(exitOnClose);
	scrollview.add(fullscreen);
	scrollview.add(navBarHidden);
	scrollview.add(modal);
	scrollview.add(opacity);
	scrollview.add(backgroundColor);
	scrollview.add(backgroundImage);
	scrollview.add(backgroundRepeat);
	scrollview.add(orientationModes);
	scrollview.add(title);
	scrollview.add(url);
	scrollview.add(windowPixelFormat);
	scrollview.add(windowSoftInputMode);
	scrollview.add(height);
	scrollview.add(width);

	win.add(b);
	win.add(scrollview);

	return win;
}


module.exports = create_test;