function open_test(_args) {
	var win = Ti.UI.createWindow({
		title:_args.title,
		layout: 'vertical',
		backgroundColor:'#000'
	});
	
	var scrollview = Ti.UI.createScrollView({
		backgroundColor: '#999',
		layout: 'vertical',
		showVerticalScrollIndicator: true,
		height: '80%',
		width: '90%'
	});

	function createSwitch(title) {
		var s = Ti.UI.createSwitch({
			left: 0,
			style: Titanium.UI.Android.SWITCH_STYLE_CHECKBOX,
			title: title,
			value: false
		});
		return s;
	}
	
	var animated = createSwitch('animated');

	var activityAnimation = createSwitch('activityEnterAnimation / activityExitAnimation (animated must be enabled)');
	
	var fullscreen = createSwitch('fullscreen (not work with modal:true)');

	var navBarHidden = createSwitch('navBarHidden');

	var modal = createSwitch('modal (not work with fullscreen:true)');

	var height = createSwitch('height');

	var width = createSwitch('width');
	
	var b = Ti.UI.createButton({
		title: 'Open New Window'
	});
	
	b.addEventListener('click', function() {
		var arg = {};
		arg.animated = animated.value;
		arg.fullscreen = fullscreen.value;
		arg.navBarHidden = navBarHidden.value;
		arg.modal = modal.value;
		
		if (activityAnimation.value) {
			arg.activityEnterAnimation = Ti.Android.R.anim.fade_in;
			arg.activityExitAnimation = Ti.Android.R.anim.fade_out;
		}
		if (height.value) {
			arg.height = 500;
		}
		if (width.value) {
			arg.width = 400;
		}

		var win2 = Ti.UI.createWindow({
			backgroundColor: 'blue'
		});

		win2.open(arg);
	});

	scrollview.add(animated);
	scrollview.add(activityAnimation);
	scrollview.add(fullscreen);
	scrollview.add(navBarHidden);
	scrollview.add(modal);
	scrollview.add(height);
	scrollview.add(width);

	win.add(b);
	win.add(scrollview);

	return win;
}


module.exports = open_test;