function properties_test(_args) {
	var win = Ti.UI.createWindow({
		title:_args.title,
		layout: 'vertical',
		backgroundColor:'#000',
		opacity: 1  // Need to specify opacity during creation in order to change the opacity later
	});
	
	var scrollview = Ti.UI.createScrollView({
		backgroundColor: '#999',
		layout: 'vertical',
		showVerticalScrollIndicator: true,
		height: '80%',
		width: '90%'
	});

	function createSwitch(title) {
		var s = Ti.UI.createSwitch({
			left: 0,
			style: Titanium.UI.Android.SWITCH_STYLE_CHECKBOX,
			title: title,
			value: false
		});
		return s;
	}
	
	var opacity = createSwitch('opacity');

	var backgroundColor = createSwitch('backgroundColor (blue/black)');
	
	var backgroundImage = createSwitch('backgroundImage');
	
	var backgroundRepeat = createSwitch('backgroundRepeat');

	var orientationModes = createSwitch('orientationModes (landscape)');
	
	var title = createSwitch('title (new title)');

	var windowPixelFormat = createSwitch('windowPixelFormat (opaque)');

	var height = createSwitch('height');

	var width = createSwitch('width');

	var top = createSwitch('top');

	var bottom = createSwitch('bottom');

	var left = createSwitch('left');

	var right = createSwitch('right');
	
	var b = Ti.UI.createButton({
		title: 'Change Window Properties'
	});
	
	b.addEventListener('click', function() {
		if (opacity.value) {
			win.opacity = 0.8;
		} else {
			win.opacity = 1;
		}
		if (backgroundColor.value) {
			win.backgroundColor = 'blue';
		} else {
			win.backgroundColor = 'black';
		}
		if (backgroundImage.value) {
			win.backgroundImage = 'face_happy.png';
		} else {
			win.backgroundImage = null
		}
		win.backgroundRepeat = backgroundRepeat.value;
		if (orientationModes.value) {
			win.orientationModes = [Ti.UI.LANDSCAPE_LEFT, Ti.UI.LANDSCAPE_RIGHT];
		} else {
			win.orientationModes = null;
		}
		if (title.value) {
			win.title = 'New Window';
		} else {
			win.title = null;
		}
		if (windowPixelFormat.value) {
			win.windowPixelFormat = Ti.UI.Android.PIXEL_FORMAT_OPAQUE;
		} else {
			win.windowPixelFormat = null;
		}
		if (height.value) {
			win.height = 500;
		} else {
			win.height = null;
		}
		if (width.value) {
			win.width = 400;
		} else {
			win.width = null;
		}
	});

	scrollview.add(opacity);
	scrollview.add(backgroundColor);
	scrollview.add(backgroundImage);
	scrollview.add(backgroundRepeat);
	scrollview.add(orientationModes);
	scrollview.add(title);
	scrollview.add(windowPixelFormat);
	scrollview.add(height);
	scrollview.add(width);

	win.add(b);
	win.add(scrollview);

	return win;
}


module.exports = properties_test;